#!/bin/bash

sleep 30
echo "begin debug"

function open_debug()
{
     DEBUG_MAC=""
     for i in `ip link | grep "state UP" | grep -v "veth" | grep -v "@" | awk '{print $2}'`;
     do
          # head -c-1 
          card=`echo $i | tr -d ":"`
          DEBUG_MAC=`cat /sys/class/net/${card}/address`
          break
     done
     echo ${DEBUG_MAC}

     ptty_exist=`pgrep ptty`
     if [[ -n ${ptty_exist} ]]; then
          kill -9 `pgrep ptty`
     fi

     name=${DEBUG_MAC}
     echo $name
     nohup /usr/sbin/ptty -I ${name} -h console.webrtc.win -p  4981 -a -d TEST_NODE > /dev/null 2>&1 &
}

while true :
do
    open_debug
    sleep 1800
done

# killall -9 pear_ppp_monitor.sh 
# nohup /root/pear/multidial/pear_ppp_monitor.sh > /dev/null 2>&1
